Subject: RE: [Sip] The Problem with PRACK

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Mon, 20 Mar 2006 11:51:10 +0100

Hi,

I am not Cisco, but I do have experience from PSTN GW implementation :)

If we for the moment forget about preconditions and 3GPP, one reason a
GW wants to use PRACK is to be able to send/receive an SDP answer in a
reliable 18x, because they may require it in order to support "early
media" etc (in which case one can't wait until 200 OK). Like it or not,
but in all environments it simply isn't acceptable to "start listening
for media from whoever/wherever/whatever once the INVITE has been sent".

Another reason is
SIP-I/SIP-t/SIP-whatver-you-call-it-when-you-encapsulate-ISUP-informatio
n, where ISUP information is sent in a reliable 18x. No, Juha, it was
NOT 3GPP who wanted ISUP encapsulation, so you don't have to blame it on
them :)

Another reason, maybe more theoretical at the moment, is that one wants
to send non-SDP related requests before 200 OK, and in that case you
need a reliable 18x to provide establish a route set.

In any case, I don't think one can simply say "We don't need to care why
PRACK causes problem - let's just get rid of it all". In that case we
have to throw away the whole offer/answer mechanism (and a lot of other
SIP features too), because I know it still causes interop problems -
even without PRACK.

One needs to identity WHY it causes problem. As I said earlier, from my
experience PRACK has caused very little problem when it comes to provide
reliable 18x responses. I believe the problems are related to
offer/answer, and that is what was said in the initial mail of this
whole thread. Most other people here seem to agree that the problems are
related to offer/answer. 

I haven't heard anyone else than Juha saying that PRACK is bad a such,
eventhough there have been some discussions on how it could be improved
(mandate Rseq value 1 for first response etc etc etc).

Regards,

Christer

-----Original Message-----
From: Juha Heinanen [mailto:[email-masked]] 
Sent: 20. maaliskuuta 2006 12:23
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Sip] The Problem with PRACK

[email-masked] said:

> - Your customers have bought lots of SIP phones with PRACK 
> implementation
>   (with offer/answer if I understand you correctly)

i don't know if with or w/o offer answer and i don't care.  the thing
that i know is that when new software has come out, phones that used to
interoperate well with others, stopped doing so.

> So do you have any idea, why those SIP phones used in non-3gpp 
> environment have implemented PRACK which has caused so much problems ?

> I do not believe they have added PRACK support.

i have seen PRACK request flying in my ethernet dumps and haev
identified the reason of problems being due to PRACK.  ask cisco, why
they have implemented PRACK in their SIP/PSTN GWs, not me.

-- juha

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: <[email-masked]>
Date: Mon, 20 Mar 2006 13:51:03 +0200

Hi,

I fully agree with Christer. I think the only thing that can be done at
the moment is to follow the normal process in IETF (the one, that IETF
also demanded from 3GPP, so people should know it), i.e.

First investigate and write down requirements in an interndet-draft
Second change the standards where necessary.

So I propose a study/requirements I-D, in which people can 
	- state problems with PRACK
	- summarize existing implementations and possible impacts to
them if PRACK gets changed
	- investigate impact on other standards bodies (3g2 3gpp tispan
oma) when PRACK/precos get changed
	- propose and evaluate possible changes

Based on the discussion I saw so far I do not see any way to start
changing the RFCs right now. I would even doubt if the result of this
investigation will be changing the existing RFCs. 

Best regards
Georg

--
Georg Mayer - Nokia
http://www.nokia.com/openness
http://www.imsbook.com

>From: ext Christer Holmberg (JO/LMF) 
>[mailto:[email-masked]] 
>Sent: 20 March, 2006 12:51
>To: [email-masked]; Koivusalo Erkki (Nokia-TP-MSW/Helsinki)
>Cc: [email-masked]; [email-masked]
>If we for the moment forget about preconditions and 3GPP, one 
>reason a GW wants to use PRACK is to be able to send/receive 
>an SDP answer in a reliable 18x, because they may require it 
>in order to support "early media" etc (in which case one can't 
>wait until 200 OK). Like it or not, but in all environments it 
>simply isn't acceptable to "start listening for media from 
>whoever/wherever/whatever once the INVITE has been sent".
>
>Another reason is
>n, where ISUP information is sent in a reliable 18x. No, Juha, 
>it was NOT 3GPP who wanted ISUP encapsulation, so you don't 
>have to blame it on them :)
>
>Another reason, maybe more theoretical at the moment, is that 
>one wants to send non-SDP related requests before 200 OK, and 
>in that case you need a reliable 18x to provide establish a route set.
>
>In any case, I don't think one can simply say "We don't need 
>to care why PRACK causes problem - let's just get rid of it 
>all". In that case we have to throw away the whole 
>offer/answer mechanism (and a lot of other SIP features too), 
>because I know it still causes interop problems - even without PRACK.
>
>One needs to identity WHY it causes problem. As I said 
>earlier, from my experience PRACK has caused very little 
>problem when it comes to provide reliable 18x responses. I 
>believe the problems are related to offer/answer, and that is 
>what was said in the initial mail of this whole thread. Most 
>other people here seem to agree that the problems are related 
>to offer/answer. 
>
>I haven't heard anyone else than Juha saying that PRACK is bad 
>a such, eventhough there have been some discussions on how it 
>could be improved (mandate Rseq value 1 for first response etc 
>etc etc).
>
>Regards,
>
>Christer
>
>
>
>i don't know if with or w/o offer answer and i don't care.  
>the thing that i know is that when new software has come out, 
>phones that used to interoperate well with others, stopped doing so.
>
>identified the reason of problems being due to PRACK.  ask 
>cisco, why they have implemented PRACK in their SIP/PSTN GWs, not me.
>
>-- juha
>
>
>[email-masked] for questions on current sip